searchNodes=[{"ref":"Membrane.Element.IBMSpeechToText.html","title":"Membrane.Element.IBMSpeechToText","type":"module","doc":"An element providing speech recognition via IBM Cloud Speech to Text service. This element sends speech recognition results (t:IBMSpeechToText.Response.t()) via notification mechanism to pipeline. It uses ibm_speech_to_text client library. Element options Passed via struct Membrane.Element.IBMSpeechToText.t/0 region Required Region in which the endpoint is located. See IBMSpeechToText.region/0 api_key Required API key for the Speech to Text Service client_options Default value: [keep_alive: true] Sets the options for IBMSpeechToText.Client.start_link/3. recognition_options Default value: [interim_results: true] Options passed via IBMSpeechToText.Message.Start struct to recognition API affecting the results. See the docs for IBMSpeechToText.Message.Start.t/0 and IBM API docs Pads :input Availability:always Bin?false CapsMembrane.Caps.Audio.FLAC Demand&nbsp;unit:buffers Direction:input Mode:pull Name:input"},{"ref":"Membrane.Element.IBMSpeechToText.html#membrane_pads/0","title":"Membrane.Element.IBMSpeechToText.membrane_pads/0","type":"function","doc":"Returns pads descriptions for Membrane.Element.IBMSpeechToText"},{"ref":"Membrane.Element.IBMSpeechToText.html#options/0","title":"Membrane.Element.IBMSpeechToText.options/0","type":"function","doc":"Returns description of options available for this module"},{"ref":"Membrane.Element.IBMSpeechToText.html#t:t/0","title":"Membrane.Element.IBMSpeechToText.t/0","type":"type","doc":"Struct containing options for Membrane.Element.IBMSpeechToText"},{"ref":"readme.html","title":"Membrane Multimedia Framework: IBM Speech To Text","type":"extras","doc":"Membrane Multimedia Framework: IBM Speech To Text This package provides a Sink wrapping IBM Speech To Text Streaming API client. Currently supports only audio streams in FLAC format. The docs can be found at HexDocs."},{"ref":"readme.html#installation","title":"Membrane Multimedia Framework: IBM Speech To Text - Installation","type":"extras","doc":"The package can be installed by adding membrane_element_ibm_speech_to_text to your list of dependencies in mix.exs: def deps do [ {:membrane_element_ibm_speech_to_text, &quot;~&gt; 0.2.0&quot;} ] end"},{"ref":"readme.html#usage","title":"Membrane Multimedia Framework: IBM Speech To Text - Usage","type":"extras","doc":"The input stream for this element should be parsed, so most of the time it should be placed in pipeline right after FLACParser Here&#39;s an example of pipeline streaming audio file to speech recognition API: defmodule SpeechRecognition do use Membrane.Pipeline alias IBMSpeechToText.Response alias Membrane.Element.{File, FLACParser, IBMSpeechToText} @impl true def handle_init(_) do children = [ src: %File.Source{location: &quot;sample.flac&quot;}, parser: FLACParser, sink: %IBMSpeechToText{ region: :frankfurt, api_key: &quot;PUT_YOUR_API_KEY_HERE&quot; } ] links = %{ {:src, :output} =&gt; {:parser, :input}, {:parser, :output} =&gt; {:sink, :input} } spec = %Membrane.Pipeline.Spec{ children: children, links: links } {{:ok, spec}, %{}} end @impl true def handle_notification(%Response{} = response, _element, state) do IO.inspect(response) {:ok, state} end def handle_notification(_notification, _element, state) do {:ok, state} end end To run, the pipeline requires following dependencies: [ {:membrane_core, &quot;~&gt; 0.3.0&quot;}, {:membrane_element_file, &quot;~&gt; 0.2&quot;}, {:membrane_element_flac_parser, &quot;~&gt; 0.1&quot;}, {:membrane_element_ibm_speech_to_text, &quot;~&gt; 0.1&quot;} ]"},{"ref":"readme.html#testing","title":"Membrane Multimedia Framework: IBM Speech To Text - Testing","type":"extras","doc":"The tests contacting real IBM API are excluded by default. You can run them using mix test --include external. To make it work, you need to provide api key via config/config.exs or config/test.secret.exs the file needs to look like this: use Mix.Config config :ibm_speech_to_text, region: :your_region # e.g. :frankfurt config :ibm_speech_to_text, api_key: &quot;YOUR_API_KEY_HERE&quot;"},{"ref":"readme.html#copyright-and-license","title":"Membrane Multimedia Framework: IBM Speech To Text - Copyright and License","type":"extras","doc":"Copyright 2019, Software Mansion ipeline Licensed under the Apache License, Version 2.0"}]